org.apache.maven.shared.artifact.filter.collection

## Class FilterArtifacts

- java.lang.Object
- - org.apache.maven.shared.artifact.filter.collection.FilterArtifacts

    public class FilterArtifacts
    extends Object

Version:
  $Id: FilterArtifacts.java 661727 2008-05-30 14:21:49Z bentmann $
Author:
  Brian Fox

### Constructor Summary

Constructors
Constructor and Description
`FilterArtifacts()`

### Method Summary

Methods
`void` `addFilter(ArtifactsFilter filter)` Appends the specified element to the end of this list.
`void` `addFilter(int index, ArtifactsFilter filter)` Inserts the specified element at the specified position in this list.
`void` `clearFilters()` Removes all of the elements from this list.
`Set` `filter(Set artifacts)`
`ArrayList` `getFilters()`
`void` `setFilters(ArrayList filters)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterArtifacts

    public FilterArtifacts()

### Method Detail

#### clearFilters

    public void clearFilters()

Removes all of the elements from this list. The list will be empty after this call returns.

#### addFilter

    public void addFilter(ArtifactsFilter filter)

Appends the specified element to the end of this list.

Parameters:
  `filter` - element to be appended to this list.

#### addFilter

    public void addFilter(int index,
                 ArtifactsFilter filter)

Inserts the specified element at the specified position in this list. Shifts the element currently at that position (if any) and any subsequent elements to the right (adds one to their indices).

Parameters:
  `index` - index at which the specified element is to be inserted.
  `element` - element to be inserted.
Throws:
  `IndexOutOfBoundsException` - if index is out of range `(index < 0 || index > size())`.

#### filter

    public Set filter(Set artifacts)
               throws ArtifactFilterException

Throws:
  `ArtifactFilterException`

#### getFilters

    public ArrayList getFilters()

Returns:
  Returns the filters.

#### setFilters

    public void setFilters(ArrayList filters)

Parameters:
  `filters` - The filters to set.